# DataExchange
TKIGES
IGESSelect

# IGESSelect_UpdateFileName Class Reference

Sets the File Name in Header to be the actual name of the file
If new file name is unknown, the former one is kept
Remark : this works well only when it is Applied and send time
If it is run immediately, new file name is unknown and nothing
is done
The Selection of the Modifier is not used : it simply acts as
a criterium to select IGES Files to touch up
.

`#include <IGESSelect_UpdateFileName.hxx>`

Inheritance diagram for IGESSelect_UpdateFileName:

[legend]

## Public Member Functions

Standard_EXPORT | IGESSelect_UpdateFileName ()
| Creates an UpdateFileName, which uses the system Date .
Standard_EXPORT void | Performing (IFSelect_ContextModif &ctx, const Handle(IGESData_IGESModel)&target, Interface_CopyTool &TC) const
| Specific action : only <target> is used : the system Date is set to Global Section Item n0 18. .
Standard_EXPORT TCollection_AsciiString | Label () const
| Returns a text which is "Updates IGES File Name to new current one" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IGESSelect_UpdateFileName::IGESSelect_UpdateFileName | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESSelect_UpdateFileName::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESSelect_ModelModifier.

Standard_EXPORT TCollection_AsciiString IGESSelect_UpdateFileName::Label | ( |  | ) | const`[virtual]`

| Implements IFSelect_GeneralModifier.

Standard_EXPORT void IGESSelect_UpdateFileName::Performing | ( | IFSelect_ContextModif & | ctx,
|  | const Handle(IGESData_IGESModel)& | target,
|  | Interface_CopyTool & | TC
| ) | const`[virtual]`

| Implements IGESSelect_ModelModifier.

The documentation for this class was generated from the following file:

- IGESSelect_UpdateFileName.hxx